package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.api.param.IncomeRecordModifyParam;
import com.chelvc.cloud.vehicle.api.service.CommissionConfigService;
import com.chelvc.cloud.vehicle.api.service.IncomeRecordService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * 分佣抽成配置接口
 *
 * @author liude
 * @date 2023/12/20
 */
@Validated
@RestController
@ResponseWrapping
public class CommissionConfigController {
    @DubboReference
    private CommissionConfigService commissionConfigService;

    /**
     *
     *分佣抽成配置列表
     * @param
     */
    @PostMapping("/commissionConfig/list")
    public void listCommissionConfig() {
        this.commissionConfigService.listCommissionConfig();
    }



}
