package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.api.param.AddDynamicEvaluateRecordParam;
import com.chelvc.cloud.vehicle.api.service.DynamicEvaluateRecordService;
import com.chelvc.framework.base.context.SessionContextHolder;
import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 内容评价(点赞/踩)
 *
 * @author igl
 * @date 2023-08-08
 */
@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/client/evaluate-record")
public class DynamicEvaluateRecordController {

    @DubboReference
    private final DynamicEvaluateRecordService iDynamicEvaluateRecordService;

    /**
     * 新增内容评价(点赞/踩)
     * @param param
     * @author igl
     * @date 2023/8/9 17:25
     */
    @PostMapping("/add")
    public void updateRecord(@Validated @RequestBody AddDynamicEvaluateRecordParam param) {
        iDynamicEvaluateRecordService.updateRecord(param, SessionContextHolder.getId());
    }
}
