package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.api.param.IncomeRecordModifyParam;
import com.chelvc.cloud.vehicle.api.service.IncomeRecordService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * 收益记录接口
 *
 * @author liude
 * @date 2023/12/20
 */
@Validated
@RestController
@ResponseWrapping
public class IncomeRecordController {
    @DubboReference
    private IncomeRecordService incomeRecordService;

    /**
     * 添加收益记录
     *
     * @param
     */
    @PostMapping("/incomeRecord/")
    public void addIncomeRecord(@Valid IncomeRecordModifyParam param) {
        this.incomeRecordService.addIncomeRecord(param);
    }

    /**
     * 收益记录详细列表
     */
    @PostMapping("/incomeRecord/list")
    public void listIncomeRecord() {
        this.incomeRecordService.listIncomeRecord();
    }





}
