package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.uc.api.param.MobileParam;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import com.chelvc.framework.sms.CaptchaSmsHandler;
import com.chelvc.framework.sms.SmsSession;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * 短信接口
 *
 * @author Woody
 * @date 2023/3/28
 */
@Validated
@RestController
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__({@Autowired, @Lazy}))
public class SmsController {
    private final CaptchaSmsHandler captchaSmsHandler;

    /**
     * 发送验证码短信
     *
     * @param param 手机号参数
     * @return 短信会话信息
     */
    @PostMapping("/sms/captcha")
    public SmsSession captcha(@RequestBody @Valid MobileParam param) {
        return this.captchaSmsHandler.send(param.getMobile());
    }
}
