package com.chelvc.cloud.maintain.copier;

import com.chelvc.cloud.maintain.vo.CouponVO;
import com.chelvc.cloud.vehicle.api.dto.CouponDTO;
import org.mapstruct.Builder;
import org.mapstruct.IterableMapping;
import org.mapstruct.Mapper;
import org.mapstruct.Named;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;


/**
 * 优惠券对象拷贝接口
 *
 * @author qizai
 * @Date 2023/9/8
 **/
@Mapper(builder = @Builder(disableBuilder = true))
public interface CouponCopier {
    /**
     * 对象拷贝接口实例
     */
    CouponCopier INSTANCE = Mappers.getMapper(CouponCopier.class);

    /**
     * 优惠券拷贝
     *
     * @param coupon 优惠券DTO
     * @return 优惠券VO
     */
    @Named("dto2vo")
    CouponVO copying(CouponDTO coupon);

    /**
     * 优惠券拷贝
     *
     * @param coupons 优惠券集合
     * @return 优惠券列表
     */
    @IterableMapping(qualifiedByName = "dto2vo")
    List<CouponVO> copying(Collection<CouponDTO> coupons);
}
