package com.chelvc.cloud.maintain.copier;

import com.chelvc.cloud.maintain.vo.FavoriteVO;
import com.chelvc.cloud.vehicle.api.dto.FavoriteDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 收藏记录对象拷贝接口
 *
 * @author qizai
 * @Date 2023/9/9
 **/
@Mapper(builder = @Builder(disableBuilder = true))
public interface FavoriteCopier {
    /**
     * 对象拷贝接口实例
     */
    FavoriteCopier INSTANCE = Mappers.getMapper(FavoriteCopier.class);

    /**
     * 收藏记录拷贝
     *
     * @param favorite 收藏记录DTO
     * @return 收藏记录VO
     */
    FavoriteVO copying(FavoriteDTO favorite);

    /**
     * 收藏记录拷贝
     *
     * @param favorites 收藏记录集合
     * @return 收藏记录列表
     */
    List<FavoriteVO> copying(Collection<FavoriteDTO> favorites);
}
