package com.chelvc.cloud.maintain.copier;

import java.util.Collection;
import java.util.List;

import com.chelvc.cloud.maintain.vo.MerchantDetailVO;
import com.chelvc.cloud.maintain.vo.MerchantVO;
import com.chelvc.cloud.maintain.vo.SimpleMerchantVO;
import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.api.dto.MerchantDetailDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 商家信息拷贝接口
 *
 * @author Woody
 * @date 2023/5/2
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface MerchantCopier {
    /**
     * 对象拷贝接口实例
     */
    MerchantCopier INSTANCE = Mappers.getMapper(MerchantCopier.class);

    /**
     * 商家信息拷贝
     *
     * @param detail 商家详情
     * @return 商家详情
     */
    MerchantDetailVO copying(MerchantDetailDTO detail);

    /**
     * 商家信息拷贝
     *
     * @param merchant 商家信息DTO
     * @return 简单商家信息VO
     */
    SimpleMerchantVO merchantDTOToSimpleMerchantVO(MerchantDTO merchant);

    /**
     * 商家信息拷贝
     *
     * @param merchants 商家信息集合
     * @return 商家信息列表
     */
    List<SimpleMerchantVO> copying(Collection<MerchantDTO> merchants);
}
