package com.chelvc.cloud.maintain.copier;

import com.chelvc.cloud.maintain.vo.ReservationVO;
import com.chelvc.cloud.vehicle.api.dto.ReservationDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 预约记录对象拷贝接口
 *
 * @author qizai
 * @Date 2023/9/9
 **/
@Mapper(builder = @Builder(disableBuilder = true))
public interface ReservationCopier {
    /**
     * 对象拷贝接口实例
     */
    ReservationCopier INSTANCE = Mappers.getMapper(ReservationCopier.class);

    /**
     * 预约记录拷贝
     *
     * @param reservation 预约记录DTO
     * @return 预约记录VO
     */
    ReservationVO copying(ReservationDTO reservation);

    /**
     * 预约记录拷贝
     *
     * @param reservations 预约记录集合
     * @return 预约记录列表
     */
    List<ReservationVO> copying(Collection<ReservationDTO> reservations);
}
