package com.chelvc.cloud.maintain.copier;

import com.chelvc.cloud.maintain.vo.UserVO;
import com.chelvc.cloud.uc.api.dto.UserDTO;
import org.mapstruct.Builder;
import org.mapstruct.IterableMapping;
import org.mapstruct.Mapper;
import org.mapstruct.Named;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 用户对象拷贝接口
 *
 * @author qizai
 * @Date 2023/9/8
 **/
@Mapper(builder = @Builder(disableBuilder = true))
public interface UserCopier {
    /**
     * 对象拷贝接口实例
     */
    UserCopier INSTANCE = Mappers.getMapper(UserCopier.class);

    /**
     * 用户信息拷贝
     *
     * @param user 用户信息
     * @return 用户信息
     */
    @Named("dto2vo")
    UserVO copying(UserDTO user);

    /**
     * 用户信息拷贝
     *
     * @param users 用户信息集合
     * @return 用户信息列表
     */
    @IterableMapping(qualifiedByName = "dto2vo")
    List<UserVO> copying(Collection<UserDTO> users);
}
