package com.chelvc.cloud.maintain.copier;

import com.chelvc.cloud.maintain.vo.UserCouponVO;
import com.chelvc.cloud.vehicle.api.dto.CouponDTO;
import com.chelvc.cloud.vehicle.api.dto.UserCouponDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 优惠券领取记录对象拷贝接口
 *
 * @author qizai
 * @Date 2023/9/8
 **/
@Mapper(builder = @Builder(disableBuilder = true))
public interface UserCouponCopier {
    /**
     * 对象拷贝接口实例
     */
    UserCouponCopier INSTANCE = Mappers.getMapper(UserCouponCopier.class);

    /**
     * 优惠券领取记录拷贝
     *
     * @param userCoupon 优惠券领取记录DTO
     * @return 优惠券领取记录VO
     */
    UserCouponVO copying(UserCouponDTO userCoupon);

    /**
     * 优惠券领取记录拷贝
     *
     * @param userCoupons 优惠券领取记录集合
     * @return 优惠券领取记录列表
     */
    List<UserCouponVO> copying(Collection<UserCouponDTO> userCoupons);

    @Mapping(source = "userCoupon.id", target = "id")
    @Mapping(source = "userCoupon.type", target = "type")
    @Mapping(source = "coupon", target = "couponVO")
    UserCouponVO copying(UserCouponDTO userCoupon, CouponDTO coupon);
}
