package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;
import java.util.Date;

import com.chelvc.cloud.vehicle.api.constant.CouponType;
import com.chelvc.framework.base.jackson.EnumerationFormatSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 优惠券信息
 *
 * @author Woody
 * @date 2023/8/6
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CouponVO implements Serializable {
    /**
     * 优惠券ID
     */
    private Long id;

    /**
     * 商家ID
     */
    private Long merchantId;

    /**
     * 优惠券类型
     */
    @JsonSerialize(using = EnumerationFormatSerializer.class)
    private CouponType type;

    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 优惠金额
     */
    private Double amount;

    /**
     * 满减金额
     */
    private Double reduce;

    /**
     * 优惠折扣
     */
    private Double discount;

    /**
     * 过期时间
     */
    private Date expiration;

    /**
     * 优惠券描述
     */
    private String description;
}
