package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;
import java.util.Date;

import com.chelvc.cloud.vehicle.api.constant.ReserveStatus;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 预约记录信息
 *
 * @author qizai
 * @date 2023/9/9
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ReservationVO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商家ID
     */
    private Long merchantId;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 约定时间
     */
    private Date appointTime;

    /**
     * 预约状态
     */
    private ReserveStatus status;

    /**
     * 简单商家信息
     */
    private SimpleMerchantVO simpleMerchantVO;
}
